Subject: Re: [syzbot] general protection fault in pse_prepare_data

From: Jakub Kicinski <[email-masked]>
Date: Wed, 19 Oct 2022 20:04:19 -0700

On Wed, 19 Oct 2022 22:25:47 -0400 Xin Long wrote:
> > Yeah, looking at ethtool internals - info can be NULL :(  
> It seems that eeprom_prepare_data() doesn't check info before
> accessing info->extack either.

Good catch, looks like that one dumps as well!

Perhaps we should require netdevsim support for all new commands 
going forward :S Otherwise this code is hard for syzbot to exercise.